gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Methods for handling icon properties. System.Object
- Method
  System.Void `` `` Registers as another name for . An alias for . An existing icon size.

  Calling with as argument will return .

- Method
  Gtk.IconSize `` Looks up the icon size associated with . The name to look up. The icon size with the given name.
- Method
  Gtk.IconSize `` `` `` Registers a new icon size. Name of the icon size. The icon width. The icon height. Integer value representing the size.

  Along the same lines as . Returns integer value for the size.

- Method
  System.String `` Obtains the canonical name of the given icon size. A . The name of the given icon size.

  The returned string is statically allocated and should not be freed.

- Constructor
  A constructor.
  A new instance of .
- Method
  System.Boolean `` `` `` Obtains the pixel size of a semantic icon size, possibly modified by user preferences fot the default . An icon size. Location to store icon width. Location to store icon height. if was a valid size.

  Normally size would be , , etc. This method is not normally needed, is the usual way to get an icon for rendering, then just look at the size of the rendered pixbuf. The rendered pixbuf may not even correspond to the width/height returned by , because themes are free to render the pixbuf however they like, including changing the usual size.

- Method
  System.Boolean `` `` `` `` Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular . A object, used to determine which set of user preferences to use. An icon size. Location to store icon width. Location to store icon height. if was a valid size.

  Normally size would be , , etc. This method is not normally needed, is the usual way to get an icon for rendering, then just look at the size of the rendered pixbuf. The rendered pixbuf may not even correspond to the width/height returned by , because themes are free to render the pixbuf however they like, including changing the usual size.